# mypy-boto3-sesv2

[![PyPI - mypy-boto3-sesv2](https://img.shields.io/pypi/v/mypy-boto3-sesv2.svg?color=blue)](https://pypi.org/project/mypy-boto3-sesv2)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-sesv2.svg?color=blue)](https://pypi.org/project/mypy-boto3-sesv2)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

Type annotations for
[boto3.SESV2 1.15.4](https://boto3.amazonaws.com/v1/documentation/api/1.15.4/reference/services/sesv2.html#SESV2) service
compatible with
[VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright)
and other tools.

Generated by [mypy-boto3-buider 3.1.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-sesv2](#mypy-boto3-sesv2)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Waiters annotations](#waiters-annotations)
    - [Service Resource annotations](#service-resource-annotations)
    - [Other resources annotations](#other-resources-annotations)
    - [Collections annotations](#collections-annotations)
    - [Typed dictionations](#typed-dictionations)

## How to install

Install `boto3-stubs` for `SESV2` service.

```bash
python -m pip install boto3-stubs[sesv2]
```

## Usage

### VSCode

- Install [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[sesv2]` in your environment: `python -m pip install 'boto3-stubs[sesv2]'`

Both type checking and auto-complete should work for `SESV2` service.
No explicit type annotations required, write your `boto3` code as usual.

### PyCharm

- Install `boto-stubs[sesv2]` in your environment: `python -m pip install 'boto3-stubs[sesv2]'`

Both type checking and auto-complete should work for `SESV2` service.
No explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed `boto3-stubs` submodules.

### Other IDEs

Not tested, but as long as your IDE support `mypy` or `pyright`, everything should work.

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[sesv2]` in your environment: `python -m pip install 'boto3-stubs[sesv2]'`
- Run `mypy` as usual

Type checking should work for `SESV2` service.
No explicit type annotations required, write your `boto3` code as usual.

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[sesv2]` in your environment: `python -m pip install 'boto3-stubs[sesv2]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `SESV2` service.
No explicit type annotations required, write your `boto3` code as usual.

## Explicit type annotations

### Client annotations

`SESV2Client` provides annotations for `boto3.client("sesv2")`.

```python
import boto3

from mypy_boto3_sesv2 import SESV2Client

client: SESV2Client = boto3.client("sesv2")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: SESV2Client = session.client("sesv2")
```








### Typed dictionations

`mypy_boto3_sesv2.type_defs` module contains structures and shapes assembled
to typed dictionaries for additional type checking.

```python
from mypy_boto3_sesv2.type_defs import (
    AccountDetailsTypeDef,
    BlacklistEntryTypeDef,
    BodyTypeDef,
    BulkEmailContentTypeDef,
    BulkEmailEntryResultTypeDef,
    BulkEmailEntryTypeDef,
    CloudWatchDestinationTypeDef,
    CloudWatchDimensionConfigurationTypeDef,
    ContentTypeDef,
    CreateDeliverabilityTestReportResponseTypeDef,
    CreateEmailIdentityResponseTypeDef,
    CreateImportJobResponseTypeDef,
    CustomVerificationEmailTemplateMetadataTypeDef,
    DailyVolumeTypeDef,
    DedicatedIpTypeDef,
    DeliverabilityTestReportTypeDef,
    DeliveryOptionsTypeDef,
    DestinationTypeDef,
    DkimAttributesTypeDef,
    DkimSigningAttributesTypeDef,
    DomainDeliverabilityCampaignTypeDef,
    DomainDeliverabilityTrackingOptionTypeDef,
    DomainIspPlacementTypeDef,
    EmailContentTypeDef,
    EmailTemplateContentTypeDef,
    EmailTemplateMetadataTypeDef,
    EventDestinationDefinitionTypeDef,
    EventDestinationTypeDef,
    FailureInfoTypeDef,
    GetAccountResponseTypeDef,
    GetBlacklistReportsResponseTypeDef,
    GetConfigurationSetEventDestinationsResponseTypeDef,
    GetConfigurationSetResponseTypeDef,
    GetCustomVerificationEmailTemplateResponseTypeDef,
    GetDedicatedIpResponseTypeDef,
    GetDedicatedIpsResponseTypeDef,
    GetDeliverabilityDashboardOptionsResponseTypeDef,
    GetDeliverabilityTestReportResponseTypeDef,
    GetDomainDeliverabilityCampaignResponseTypeDef,
    GetDomainStatisticsReportResponseTypeDef,
    GetEmailIdentityPoliciesResponseTypeDef,
    GetEmailIdentityResponseTypeDef,
    GetEmailTemplateResponseTypeDef,
    GetImportJobResponseTypeDef,
    GetSuppressedDestinationResponseTypeDef,
    IdentityInfoTypeDef,
    ImportDataSourceTypeDef,
    ImportDestinationTypeDef,
    ImportJobSummaryTypeDef,
    InboxPlacementTrackingOptionTypeDef,
    IspPlacementTypeDef,
    KinesisFirehoseDestinationTypeDef,
    ListConfigurationSetsResponseTypeDef,
    ListCustomVerificationEmailTemplatesResponseTypeDef,
    ListDedicatedIpPoolsResponseTypeDef,
    ListDeliverabilityTestReportsResponseTypeDef,
    ListDomainDeliverabilityCampaignsResponseTypeDef,
    ListEmailIdentitiesResponseTypeDef,
    ListEmailTemplatesResponseTypeDef,
    ListImportJobsResponseTypeDef,
    ListSuppressedDestinationsResponseTypeDef,
    ListTagsForResourceResponseTypeDef,
    MailFromAttributesTypeDef,
    MessageTagTypeDef,
    MessageTypeDef,
    OverallVolumeTypeDef,
    PinpointDestinationTypeDef,
    PlacementStatisticsTypeDef,
    PutEmailIdentityDkimSigningAttributesResponseTypeDef,
    RawMessageTypeDef,
    ReplacementEmailContentTypeDef,
    ReplacementTemplateTypeDef,
    ReputationOptionsTypeDef,
    ReviewDetailsTypeDef,
    SendBulkEmailResponseTypeDef,
    SendCustomVerificationEmailResponseTypeDef,
    SendEmailResponseTypeDef,
    SendingOptionsTypeDef,
    SendQuotaTypeDef,
    SnsDestinationTypeDef,
    SuppressedDestinationAttributesTypeDef,
    SuppressedDestinationSummaryTypeDef,
    SuppressedDestinationTypeDef,
    SuppressionAttributesTypeDef,
    SuppressionListDestinationTypeDef,
    SuppressionOptionsTypeDef,
    TagTypeDef,
    TemplateTypeDef,
    TestRenderEmailTemplateResponseTypeDef,
    TrackingOptionsTypeDef,
    VolumeStatisticsTypeDef,
)

def get_structure() -> AccountDetailsTypeDef:
    return {
      ...
    }
```
